LeadSail
Offers

Get an offer

GET
/api/v1/offers/{offerId}

Authorization

ApiKeyAuth
X-API-Key<token>

API key generated from your Vayaflow dashboard Settings page

In: header

Path Parameters

offerId*string

The offer ID

Response Body

application/json

application/json

application/json

package mainimport (  "fmt"  "net/http"  "io/ioutil")func main() {  url := "https://api.leadsail.app/api/v1/offers/string"  req, _ := http.NewRequest("GET", url, nil)    res, _ := http.DefaultClient.Do(req)  defer res.Body.Close()  body, _ := ioutil.ReadAll(res.Body)  fmt.Println(res)  fmt.Println(string(body))}
{
  "success": true,
  "data": {
    "offerId": "string",
    "name": "string",
    "abbrev": "string",
    "active": true,
    "category": "mass_tort",
    "description": "string",
    "eligibilityCriteria": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "externalId": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "archivedAt": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Authentication required"
  }
}
{
  "success": false,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}